SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   Kerberos Vendors:   MIT
Kerberos kadmind GSS-API 'mechglue' Memory Error Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1017494
SecurityTracker URL:  http://securitytracker.com/id/1017494
CVE Reference:   CVE-2006-6144   (Links to External Site)
Date:  Jan 10 2007
Impact:   Execution of arbitrary code via network, Root access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5-1.5 through 5-1.5.1
Description:   A vulnerability was reported in Kerberos in kadmind. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to trigger a memory management error in the 'mechglue' abstraction interface of the GSS-API implementation and execute arbitrary code on the target system. The code will run with the privileges of the target kadmind service.

A remote user can also cause kadmind to crash.

A remote user can also cause third-party server applications that use the GSS-API library to execute arbitrary code.

The vendor believes that exploitation of this vulnerability is difficult.

The vendor discovered this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system with the privileges of kadmind.
Solution:   The vendor has issued a patch, available at:

http://web.mit.edu/kerberos/advisories/2006-003-patch.txt

The vendor also plans to issue fixed versions (krb5-1.6, krb5-1.5.2).

The Kerberos advisory is available at:

http://web.mit.edu/kerberos/www/advisories/MITKRB5-SA-2006-003-mechglue.txt

Vendor URL:  web.mit.edu/kerberos/www/advisories/MITKRB5-SA-2006-003-mechglue.txt (Links to External Site)
Cause:   Access control error, State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 15 2009 (Sun Issues Fix) Kerberos kadmind GSS-API 'mechglue' Memory Error Lets Remote Users Execute Arbitrary Code
Sun has issued a fix for Solaris 9.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC